## qtwayland-opensource-src 5.15.13

=== tests/auto/cmake/CMakeLists.txt ===

cmake_minimum_required(VERSION 2.8)

project(qmake_cmake_files)

enable_testing()

find_package(Qt5Core REQUIRED)
set(Qt5_MODULE_TEST_DEPENDS Quick)

include("${_Qt5CTestMacros}")

test_module_includes(
  WaylandCompositor QWaylandBufferRef
)

# Can't test in `test_module_includes`, WaylandClient has no public headers
expect_pass(test_waylandclient)

## qtwayland-opensource-src 5.4.1

=== debian/changelog ===
qtwayland-opensource-src (5.4.1-1ubuntu1) vivid; urgency=medium

  * Add upstream_Run-eventDispatcher-in-QWaylandDisplay-forceRoundTri.patch
    to prevent applications from blocking when using setEventDispatcher
    before a QGuiApplication is created.

 -- Harald Sitter <sitter@kde.org>  Thu, 26 Mar 2015 10:03:41 +0100

qtwayland-opensource-src (5.4.1-1) experimental; urgency=medium

  * Initial release (closes: #697509).

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 03 Mar 2015 13:36:49 +0300

=== debian/control ===
Source: qtwayland-opensource-src
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Dmitry Shachnev <mitya57@debian.org>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Sune Vuorela <debian@pusling.com>,
           Pino Toscano <pino@debian.org>,
           Timo Jyrinki <timo@debian.org>
Build-Depends: debhelper (>= 9),
               libegl1-mesa-dev,
               libfontconfig1-dev,
               libglib2.0-dev,
               libmtdev-dev,
               libudev-dev,
               libwayland-dev (>= 1.2.0),
               libwayland-egl1-mesa | libwayland-egl1,
               libxkbcommon-dev (>= 0.2.0),
               libxrender-dev,
               pkg-config,
               pkg-kde-tools,
               qtbase5-private-dev (>= 5.4.1+dfsg~)
Standards-Version: 3.9.6
Homepage: http://qt-project.org/
Vcs-Git: git://anonscm.debian.org/pkg-kde/qt/qtwayland.git
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/qt/qtwayland.git

Package: libqt5waylandclient5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: QtWayland client library
 QtWayland is a Qt 5 module that wraps the functionality of Wayland.
 .
 This package contains the QtWayland client library.

Package: libqt5waylandclient5-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends: libqt5waylandclient5 (= ${binary:Version}), ${misc:Depends}
Description: QtWayland development files
 QtWayland is a Qt 5 module that wraps the functionality of Wayland.
 .
 This package contains the development files for QtWayland client
 library.

Package: qtwayland5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: QtWayland platform plugin
 QtWayland is a Qt 5 module that wraps the functionality of Wayland.
 .
 This package contains the QtWayland platform plugin, which allows users
 to run Qt 5 applications under Wayland, and the qtwaylandscanner
 binary.

Package: qtwayland5-dbg
Architecture: any
Priority: extra
Section: debug
Multi-Arch: same
Depends: libqt5waylandclient5 (= ${binary:Version}), ${misc:Depends}
Description: QtWayland debugging symbols
 QtWayland is a Qt 5 module that wraps the functionality of Wayland.
 .
 This package contains the debugging symbols for QtWayland.

## qtwayland-opensource-src 5.4.2

=== debian/changelog ===
qtwayland-opensource-src (5.4.2-3) unstable; urgency=medium

  * Update symbols files with current build log against gcc5.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 09 Aug 2015 23:13:04 -0300

qtwayland-opensource-src (5.4.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 23 Jun 2015 12:44:45 -0300

qtwayland-opensource-src (5.4.2-1) experimental; urgency=medium

  [ Dmitry Shachnev ]
  * Limit libmtdev-dev and libudev-dev build-dependencies to linux-any.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * New upstream release.
    - Bump Qt build dependencies.
  * Update symbols files with current build log.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 02 Jun 2015 18:04:18 -0300

=== debian/control ===
--- 
+++ 
@@ -11,15 +11,15 @@
                libegl1-mesa-dev,
                libfontconfig1-dev,
                libglib2.0-dev,
-               libmtdev-dev,
-               libudev-dev,
+               libmtdev-dev [linux-any],
+               libudev-dev [linux-any],
                libwayland-dev (>= 1.2.0),
                libwayland-egl1-mesa | libwayland-egl1,
                libxkbcommon-dev (>= 0.2.0),
                libxrender-dev,
                pkg-config,
                pkg-kde-tools,
-               qtbase5-private-dev (>= 5.4.1+dfsg~)
+               qtbase5-private-dev (>= 5.4.2+dfsg~)
 Standards-Version: 3.9.6
 Homepage: http://qt-project.org/
 Vcs-Git: git://anonscm.debian.org/pkg-kde/qt/qtwayland.git

## qtwayland-opensource-src 5.5.1

=== debian/changelog ===
qtwayland-opensource-src (5.5.1-2build1) xenial; urgency=medium

  * Rebuild against Qt 5.5.1.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Mon, 30 Nov 2015 16:22:49 +0200

qtwayland-opensource-src (5.5.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 21 Oct 2015 15:41:28 -0300

qtwayland-opensource-src (5.5.1-1) experimental; urgency=medium

  * New upstream release.
    - Bump Qt build dependencies.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 16 Oct 2015 20:44:52 -0300

qtwayland-opensource-src (5.5.0-1) experimental; urgency=medium

  * New upstream release.
  * Update debian/copyright.
  * Bump qtbase5-private-dev build-dependency to 5.5.0.
  * Bump libwayland-dev build-dependency to 1.4.0.
  * Add build-dependencies on libinput-dev and libxcomposite-dev.
  * Update libqt5waylandclient5.symbols.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 26 Aug 2015 18:12:23 +0300

=== debian/control ===
--- 
+++ 
@@ -11,15 +11,17 @@
                libegl1-mesa-dev,
                libfontconfig1-dev,
                libglib2.0-dev,
+               libinput-dev,
                libmtdev-dev [linux-any],
                libudev-dev [linux-any],
-               libwayland-dev (>= 1.2.0),
+               libwayland-dev (>= 1.4.0),
                libwayland-egl1-mesa | libwayland-egl1,
+               libxcomposite-dev,
                libxkbcommon-dev (>= 0.2.0),
                libxrender-dev,
                pkg-config,
                pkg-kde-tools,
-               qtbase5-private-dev (>= 5.4.2+dfsg~)
+               qtbase5-private-dev (>= 5.5.1+dfsg~)
 Standards-Version: 3.9.6
 Homepage: http://qt-project.org/
 Vcs-Git: git://anonscm.debian.org/pkg-kde/qt/qtwayland.git

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

export CFLAGS := $(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
export CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed
export QT_SELECT := qt5

%:
	dh $@ --with pkgkde_symbolshelper --parallel --dbg-package=qtwayland5-dbg

override_dh_auto_configure:
	qmake

override_dh_auto_install:
	dh_auto_install

	# Remove libtool-like file
	rm -f debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libQt5WaylandClient.la

override_dh_install:
	dh_install --fail-missing

=== debian/watch ===
version=3
https://download.qt.io/official_releases/qt/([\d\.]*)/([\d\.]*)/submodules/qtwayland-opensource-src-([^-]*)\.tar.xz

## qtwayland-opensource-src 5.6.1

=== debian/changelog ===
qtwayland-opensource-src (5.6.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 13 Jun 2016 10:06:10 -0300

qtwayland-opensource-src (5.6.1-1) experimental; urgency=medium

  * New upstream release.
    - Bump Qt build dependencies.
  * Bump Standards-Version to 3.9.8, no changes required.
  * Remove a lonely example .pro file. There are no matching sources for it.
  * Be verbose while removing stuff.
  * Update symbols files with current build log.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 10 Jun 2016 14:00:30 -0300

qtwayland-opensource-src (5.6.0-1) experimental; urgency=medium

  * New upstream release.
    - Bump Qt build dependencies.
  * Also build depend upon qtbase5-dev. This ensures that this source will not
    migrate to testing before the minimum qtbase version required does even if
    the version in testing fullfills all the symbols.
  * Switch debian/watch back to official releases.
  * Use secure URLs for the repos.
  * Update Standards-Version to 3.9.7, no changes required.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 19 Mar 2016 14:20:52 -0300

qtwayland-opensource-src (5.6.0~beta-1) experimental; urgency=medium

  * New upstream beta release.
  * Update debian/watch to track experimental releases (needs to be reverted
    before uploading 5.6.0 final).
  * Bump qtbase5-private-dev build-dependency to 5.6.0~beta.
  * Update debian/libqt5waylandclient5.symbols using migrate-symbols script.
  * Update debian/libqt5waylandclient5.symbols from amd64 build log.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 05 Jan 2016 22:13:08 +0300

=== debian/control ===
--- 
+++ 
@@ -21,11 +21,12 @@
                libxrender-dev,
                pkg-config,
                pkg-kde-tools,
-               qtbase5-private-dev (>= 5.5.1+dfsg~)
-Standards-Version: 3.9.6
+               qtbase5-dev (>= 5.6.1+dfsg~),
+               qtbase5-private-dev (>= 5.6.1+dfsg~)
+Standards-Version: 3.9.8
 Homepage: http://qt-project.org/
-Vcs-Git: git://anonscm.debian.org/pkg-kde/qt/qtwayland.git
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/qt/qtwayland.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-kde/qt/qtwayland.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kde/qt/qtwayland.git
 
 Package: libqt5waylandclient5
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,10 @@
 	dh_auto_install
 
 	# Remove libtool-like file
-	rm -f debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libQt5WaylandClient.la
+	rm -vf debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libQt5WaylandClient.la
+
+	# Remove a lonely example .pro file, there is no matching code for it.
+	rm -vf debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/examples/wayland/wayland.pro
 
 override_dh_install:
 	dh_install --fail-missing

## qtwayland-opensource-src 5.7.1~20161021

=== debian/changelog ===
qtwayland-opensource-src (5.7.1~20161021-2) unstable; urgency=medium

  * Update symbols files with buildds' logs.
  * Upload to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 01 Nov 2016 09:07:54 -0300

qtwayland-opensource-src (5.7.1~20161021-1) experimental; urgency=medium

  [ Dmitry Shachnev ]
  * Restore qtbase5-dev build-dependency.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * New upstream snapshot.
    - Bump Qt build dependencies.
  * Update symbols files with current build log.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 25 Oct 2016 19:48:50 -0300

qtwayland-opensource-src (5.7.0-1) experimental; urgency=medium

  [ Harald Sitter ]
  * New upstream release.
  * New build depends on qtdeclarative5-private-dev
  * New package qtwayland5-examples now containing examples
  * New package libqt5waylandcompositor5 and -dev for new library
  * New package qml-module-qtwayland-compositor for new qml module
  * Refine install files to accommodate new library artifacts
  * Do not install private headers at all as they are unused according to
    codesearch

  [ Dmitry Shachnev ]
  * Bump Qt build-dependencies to 5.7.0.
  * Bump libwayland-dev build-dependency to 1.6.0, following upstream.
  * Build and install the Qt Wayland Compositor documentation.
  * Migrate to automatic dbgsym packages.
  * Massive debian/copyright update.
  * Update debian/libqt5waylandclient5.symbols. The whole library is private
    (has no public API), so removed symbols are OK.
  * Drop libqt5waylandclient5-dev package. This library has no public API.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 09 Jul 2016 00:01:41 +0300

=== debian/control ===
Source: qtwayland-opensource-src
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Dmitry Shachnev <mitya57@debian.org>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Sune Vuorela <debian@pusling.com>,
           Pino Toscano <pino@debian.org>,
           Timo Jyrinki <timo@debian.org>
Build-Depends: debhelper (>= 9.20160114~),
               libegl1-mesa-dev,
               libfontconfig1-dev,
               libglib2.0-dev,
               libinput-dev,
               libmtdev-dev [linux-any],
               libudev-dev [linux-any],
               libwayland-dev (>= 1.6.0),
               libwayland-egl1-mesa | libwayland-egl1,
               libxcomposite-dev,
               libxkbcommon-dev (>= 0.2.0),
               libxrender-dev,
               pkg-config,
               pkg-kde-tools,
               qtbase5-dev (>= 5.7.1~20161021+dfsg~),
               qtbase5-private-dev (>= 5.7.1~20161021+dfsg~),
               qtdeclarative5-private-dev (>= 5.7.1~20161021~)
Build-Depends-Indep: libqt5sql5-sqlite (>= 5.7.1~20161021+dfsg~),
                     qtbase5-doc-html (>= 5.7.1~20161021+dfsg~),
                     qttools5-dev-tools (>= 5.7.1~20161021~)
Standards-Version: 3.9.8
Homepage: http://qt-project.org/
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/qt/qtwayland.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kde/qt/qtwayland.git

Package: qtwayland5-examples
Architecture: any
Multi-Arch: same
Section: x11
Pre-Depends: ${misc:Pre-Depends}
Depends: qml-module-qtwayland-compositor, ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 Wayland examples
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains examples of the Qt 5 Wayland module.

Package: libqt5waylandclient5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: QtWayland client library
 QtWayland is a Qt 5 module that wraps the functionality of Wayland.
 .
 This package contains the QtWayland client library.

Package: libqt5waylandcompositor5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: QtWayland compositor library
 QtWayland is a Qt 5 module that wraps the functionality of Wayland.
 .
 This package contains the QtWayland compositor library.

Package: qml-module-qtwayland-compositor
Multi-Arch: same
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 Wayland Compositor QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt Wayland Compositor modules provide QML types that can be used to
 create custom display servers supporting the Wayland protocol.

Package: libqt5waylandcompositor5-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends: libqt5waylandcompositor5 (= ${binary:Version}), ${misc:Depends}
Description: QtWayland compositor development files
 QtWayland is a Qt 5 module that wraps the functionality of Wayland.
 .
 This package contains the development files for QtWayland compositor
 library.
 .
 This library is a tech preview and the API will change before the final
 release. Use at your own risk.

Package: qtwayland5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: QtWayland platform plugin
 QtWayland is a Qt 5 module that wraps the functionality of Wayland.
 .
 This package contains the QtWayland platform plugin, which allows users
 to run Qt 5 applications under Wayland, and the qtwaylandscanner
 binary.

Package: qtwayland5-doc
Priority: extra
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Qt 5 Wayland Compositor documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the documentation for the Qt 5 Wayland Compositor
 library.

Package: qtwayland5-doc-html
Priority: extra
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Qt 5 Wayland Compositor HTML documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the HTML documentation for the Qt 5 Wayland Compositor
 library.

=== debian/rules ===
--- 
+++ 
@@ -11,19 +11,41 @@
 export QT_SELECT := qt5
 
 %:
-	dh $@ --with pkgkde_symbolshelper --parallel --dbg-package=qtwayland5-dbg
+	dh $@ --with pkgkde_symbolshelper --parallel
 
 override_dh_auto_configure:
 	qmake
 
-override_dh_auto_install:
+override_dh_auto_build-indep:
+	dh_auto_build -- docs
+
+override_dh_auto_install-indep:
+	dh_auto_build -- INSTALL_ROOT=$(CURDIR)/debian/tmp install_docs
+
+override_dh_auto_install-arch:
 	dh_auto_install
 
+	# libQt5WaylandClient library has no public API, do not ship development files for it
+	rm -rfv debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/qt5/QtWaylandClient/
+	rm -rfv debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/cmake/Qt5WaylandClient/
+	rm -fv debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libQt5WaylandClient.la
+	rm -fv debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libQt5WaylandClient.prl
+	rm -fv debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libQt5WaylandClient.so
+	rm -fv debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/Qt5WaylandClient.pc
+	rm -fv debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/mkspecs/modules/qt_lib_waylandclient.pri
+
 	# Remove libtool-like file
-	rm -vf debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libQt5WaylandClient.la
+	rm -vf debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libQt5WaylandCompositor.la
 
-	# Remove a lonely example .pro file, there is no matching code for it.
-	rm -vf debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/examples/wayland/wayland.pro
+	# Remove private elements.
+	rm -rvf debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/qt5/QtWaylandCompositor/*/QtWaylandCompositor/private
+	rm -fv debian/tmp/usr/lib/*/qt5/mkspecs/modules/qt_lib_*_private.pri
+
+	# Hack away weird defunct artifact created by build.
+	rm -vf debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/cmake/Qt5Gui/Qt5Gui_.cmake
 
 override_dh_install:
 	dh_install --fail-missing
+
+override_dh_strip:
+	dh_strip --dbgsym-migration='qtwayland5-dbg (<< 5.7.0-1~)'

## qtwayland-opensource-src 5.9.1

=== debian/changelog ===
qtwayland-opensource-src (5.9.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 16 Aug 2017 15:29:50 +0300

qtwayland-opensource-src (5.9.1-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.9.1.
  * Bump Standards-Version to 4.0.0, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 07 Jul 2017 10:54:24 +0300

qtwayland-opensource-src (5.9.0-1) experimental; urgency=medium

  * New upstream stable release.
  * Do not install Qt5Gui_QWaylandXCompositeGlxPlatformIntegrationPlugin.cmake
    on armel/armhf.
  * Bump qtbase build-dependencies to 5.9.0 final.
  * Add support for nodoc build profile.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 09 Jun 2017 18:37:40 +0300

qtwayland-opensource-src (5.9.0~rc-1) experimental; urgency=medium

  * New upstream release candidate.
  * Bump Qt build-dependencies to 5.9.0.
  * Update libqt5waylandcompositor5-dev.install for the new version.
  * Drop the hack to remove Qt5Gui_.cmake, it is no longer generated.
  * Update the symbols files.
    - In Qt 5.7 the Qt Wayland Compositor library is a technical preview,
      so API/ABI stability was not guaranteed.
    - Qt Wayland Client library has no public API, all symbols are private.
  * Add debian/clean file.
  * Do not use gold linker, to keep the symbols versioned.
  * Update debian/copyright.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 28 May 2017 15:14:44 +0300

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
            Pino Toscano <pino@debian.org>,
            Timo Jyrinki <timo@debian.org>
 Build-Depends: debhelper (>= 9.20160114~),
+               dpkg-dev (>= 1.17.14),
                libegl1-mesa-dev,
                libfontconfig1-dev,
                libglib2.0-dev,
@@ -21,13 +22,13 @@
                libxrender-dev,
                pkg-config,
                pkg-kde-tools,
-               qtbase5-dev (>= 5.7.1~20161021+dfsg~),
-               qtbase5-private-dev (>= 5.7.1~20161021+dfsg~),
-               qtdeclarative5-private-dev (>= 5.7.1~20161021~)
-Build-Depends-Indep: libqt5sql5-sqlite (>= 5.7.1~20161021+dfsg~),
-                     qtbase5-doc-html (>= 5.7.1~20161021+dfsg~),
-                     qttools5-dev-tools (>= 5.7.1~20161021~)
-Standards-Version: 3.9.8
+               qtbase5-dev (>= 5.9.1+dfsg~),
+               qtbase5-private-dev (>= 5.9.1+dfsg~),
+               qtdeclarative5-private-dev (>= 5.9.1~)
+Build-Depends-Indep: libqt5sql5-sqlite (>= 5.9.1+dfsg~) <!nodoc>,
+                     qtbase5-doc-html (>= 5.9.1+dfsg~) <!nodoc>,
+                     qttools5-dev-tools (>= 5.9.1~) <!nodoc>
+Standards-Version: 4.0.0
 Homepage: http://qt-project.org/
 Vcs-Git: https://anonscm.debian.org/git/pkg-kde/qt/qtwayland.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kde/qt/qtwayland.git
@@ -99,6 +100,7 @@
  binary.
 
 Package: qtwayland5-doc
+Build-Profiles: <!nodoc>
 Priority: extra
 Architecture: all
 Section: doc
@@ -111,6 +113,7 @@
  library.
 
 Package: qtwayland5-doc-html
+Build-Profiles: <!nodoc>
 Priority: extra
 Architecture: all
 Section: doc

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 	dh $@ --with pkgkde_symbolshelper --parallel
 
 override_dh_auto_configure:
-	qmake
+	qmake CONFIG-=use_gold_linker
 
 override_dh_auto_build-indep:
 	dh_auto_build -- docs
@@ -41,9 +41,6 @@
 	rm -rvf debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/qt5/QtWaylandCompositor/*/QtWaylandCompositor/private
 	rm -fv debian/tmp/usr/lib/*/qt5/mkspecs/modules/qt_lib_*_private.pri
 
-	# Hack away weird defunct artifact created by build.
-	rm -vf debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/cmake/Qt5Gui/Qt5Gui_.cmake
-
 override_dh_install:
 	dh_install --fail-missing

## qtwayland-opensource-src 5.9.5

=== debian/changelog ===
qtwayland-opensource-src (5.9.5-0ubuntu1) bionic; urgency=medium

  * New upstream release.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 14 Apr 2018 15:29:01 -0500

qtwayland-opensource-src (5.9.4-0ubuntu2) bionic; urgency=medium

  * Cherry-pick commit from the VCS Git repository which generates
    libqt5waylandclient5-dev (LP: #1760185).

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Generate libqt5waylandclient5-dev. The files where previously generated
    and removed before packaging because they where not stable, but now a part
    of them have become stable so it's time to ship them.
    Also make the package recommend qtwayland5-dev-tools which provides the
    tools necessary to generate C++ interfaces form the XML definitions.
    Thanks Andreas Cord-Landwehr for the bug report! (Closes: #893387).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 30 Mar 2018 23:52:29 -0500

qtwayland-opensource-src (5.9.4-0ubuntu1) bionic; urgency=medium

  * New upstream release.
  * Add dont-create-hidden-egl-surfaces.patch which fixes a crash in a Wayland
    session when a QQuickWindow hides and then is destroyed.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sun, 25 Feb 2018 20:49:52 -0600

qtwayland-opensource-src (5.9.3-0ubuntu1) bionic; urgency=medium

  * New upstream release.
  * Bump build dependencies to Qt 5.9.3.
  * Update symbols from build logs.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 13 Dec 2017 22:05:47 -0600

qtwayland-opensource-src (5.9.2-3) unstable; urgency=medium

  * Update for Qt binaries location change in qtbase 5.9.2+dfsg-3.
    - Install qtwaylandscanner to the new location.
    - Provide a compatibility symlink in the old location.
    - Bump qtbase5-private-dev and qttools5-dev-tools build-dependencies.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 27 Oct 2017 11:34:14 +0300

qtwayland-opensource-src (5.9.2-2) experimental; urgency=medium

  * Move qtwaylandscanner tool into its own qtwayland5-dev-tools package,
    make that package Multi-Arch: foreign.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 18 Oct 2017 20:58:04 +0300

qtwayland-opensource-src (5.9.2-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.9.2.
  * Use debhelper compat level 10 and dh_missing.
  * Update symbols files from the current build log.
  * Bump Standards-Version to 4.1.1, stop using deprecated Priority: extra.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 16 Oct 2017 11:05:35 +0300

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: qtwayland-opensource-src
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Dmitry Shachnev <mitya57@debian.org>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
            Sune Vuorela <debian@pusling.com>,
            Pino Toscano <pino@debian.org>,
            Timo Jyrinki <timo@debian.org>
-Build-Depends: debhelper (>= 9.20160114~),
+Build-Depends: debhelper (>= 10.3),
                dpkg-dev (>= 1.17.14),
                libegl1-mesa-dev,
                libfontconfig1-dev,
@@ -22,13 +23,13 @@
                libxrender-dev,
                pkg-config,
                pkg-kde-tools,
-               qtbase5-dev (>= 5.9.1+dfsg~),
-               qtbase5-private-dev (>= 5.9.1+dfsg~),
-               qtdeclarative5-private-dev (>= 5.9.1~)
-Build-Depends-Indep: libqt5sql5-sqlite (>= 5.9.1+dfsg~) <!nodoc>,
-                     qtbase5-doc-html (>= 5.9.1+dfsg~) <!nodoc>,
-                     qttools5-dev-tools (>= 5.9.1~) <!nodoc>
-Standards-Version: 4.0.0
+               qtbase5-dev (>= 5.9.5+dfsg~),
+               qtbase5-private-dev (>= 5.9.5~),
+               qtdeclarative5-private-dev (>= 5.9.5~)
+Build-Depends-Indep: libqt5sql5-sqlite (>= 5.9.5+dfsg~) <!nodoc>,
+                     qtbase5-doc-html (>= 5.9.5+dfsg~) <!nodoc>,
+                     qttools5-dev-tools (>= 5.9.5~) <!nodoc>
+Standards-Version: 4.1.1
 Homepage: http://qt-project.org/
 Vcs-Git: https://anonscm.debian.org/git/pkg-kde/qt/qtwayland.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kde/qt/qtwayland.git
@@ -88,6 +89,31 @@
  This library is a tech preview and the API will change before the final
  release. Use at your own risk.
 
+Package: libqt5waylandclient5-dev
+Architecture: any
+Section: libdevel
+Multi-Arch: same
+Depends: libqt5waylandclient5 (= ${binary:Version}), ${misc:Depends}
+Recommends: qtwayland5-dev-tools
+Description: QtWayland client development files
+ QtWayland is a Qt 5 module that wraps the functionality of Wayland.
+ .
+ This package contains the development files for QtWayland client
+ library.
+
+Package: qtwayland5-dev-tools
+Architecture: any
+Multi-Arch: foreign
+Section: devel
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: qtwayland5 (<< 5.9.2-2~)
+Replaces: qtwayland5 (<< 5.9.2-2~)
+Description: Qt 5 Wayland developer tools
+ QtWayland is a Qt 5 module that wraps the functionality of Wayland.
+ .
+ This package contains the QtWayland developer tools.
+ At the moment there is only qtwaylandscanner tool here.
+
 Package: qtwayland5
 Architecture: any
 Multi-Arch: same
@@ -101,7 +127,6 @@
 
 Package: qtwayland5-doc
 Build-Profiles: <!nodoc>
-Priority: extra
 Architecture: all
 Section: doc
 Depends: ${misc:Depends}
@@ -114,7 +139,6 @@
 
 Package: qtwayland5-doc-html
 Build-Profiles: <!nodoc>
-Priority: extra
 Architecture: all
 Section: doc
 Depends: ${misc:Depends}

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

export CFLAGS := $(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
export CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed
export QT_SELECT := qt5

%:
	dh $@ --with pkgkde_symbolshelper

override_dh_auto_configure:
	qmake CONFIG-=use_gold_linker

override_dh_auto_build-indep:
	dh_auto_build -- docs

override_dh_auto_install-indep:
	dh_auto_build -- INSTALL_ROOT=$(CURDIR)/debian/tmp install_docs

override_dh_auto_install-arch:
	dh_auto_install

	# Remove libtool-like file
	rm -vf debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libQt5WaylandCompositor.la
	rm -fv debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libQt5WaylandClient.la

	# Remove private elements.
	rm -rvf debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/qt5/QtWaylandCompositor/*/QtWaylandCompositor/private
	rm -rvf debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/qt5/QtWaylandClient/*/QtWaylandClient/private/
	rm -fv debian/tmp/usr/lib/*/qt5/mkspecs/modules/qt_lib_*_private.pri

override_dh_missing:
	dh_missing --fail-missing

override_dh_link:
	dh_link -pqtwayland5-dev-tools \
		usr/lib/qt5/bin/qtwaylandscanner usr/lib/$(DEB_HOST_MULTIARCH)/qt5/bin/qtwaylandscanner

override_dh_strip:
	dh_strip --dbgsym-migration='qtwayland5-dbg (<< 5.7.0-1~)'

=== debian/watch ===
version=3
opts=uversionmangle=s/-/~/ \
https://download.qt.io/official_releases/qt/([\d\.]*)/([\d\.]*)/submodules/qtwayland-opensource-src-(.*)\.tar\.xz

## qtwayland-opensource-src 5.11.1

=== debian/changelog ===
qtwayland-opensource-src (5.11.1-2) unstable; urgency=medium

  * Upload to Sid.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 25 Jul 2018 04:49:32 -0500

qtwayland-opensource-src (5.11.1-1) experimental; urgency=medium

  [ Simon Quigley ]
  * Add my name to Uploaders.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Add debian/.gitattributes to use dpkg-mergechangelgs at merge time.
  * New upstream release.
    - Bump Qt build dependencies.
  * Mark qtwayland5-doc[-html] as Multi-Arch: foreign as noted by the
    multiarch hinter.
  * Update symbols files with current build log.
  * Bump Standards-Version to 4.1.4, no changes required.
  * Bump dh compat to 11.
    - Require debhelper >= 11~.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 29 Jun 2018 13:43:56 -0300

qtwayland-opensource-src (5.10.1-3) unstable; urgency=medium

  * Release to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 07 Apr 2018 19:45:46 -0300

qtwayland-opensource-src (5.10.1-2) experimental; urgency=medium

  * Generate libqt5waylandclient5-dev. The files where previously generated
    and removed before packaging because they where not stable, but now a part
    of them have become stable so it's time to ship them.
    Also make the package recommend qtwayland5-dev-tools which provides the
    tools necessary to generate C++ interfaces form the XML definitions.
    Thanks Andreas Cord-Landwehr for the bug report! (Closes: #893387).
  * Add myself to debian/copyright.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 18 Mar 2018 17:10:48 -0300

qtwayland-opensource-src (5.10.1-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.10.1.
  * Update debian/watch for the new upstream tarball names.
  * Use dh_auto_configure provided by debhelper.
  * Fix cross builds by building and using native qtwaylandscanner and
    setting QMAKE_QMAKE and PKG_CONFIG_LIBDIR variables.
  * Remove obsolete note that Qt Wayland Compositor is a tech preview.
    It became an official module in Qt 5.8 release.
  * Add some new headers to libqt5waylandcompositor5-dev.install.
  * Update symbols files from the current build log.
  * Update debian/copyright.
  * Update Vcs fields for migration to salsa.debian.org.
  * Bump Standards-Version to 4.1.3, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 06 Mar 2018 13:16:46 +0300

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: qtwayland-opensource-src
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Dmitry Shachnev <mitya57@debian.org>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
            Sune Vuorela <debian@pusling.com>,
            Pino Toscano <pino@debian.org>,
-           Timo Jyrinki <timo@debian.org>
-Build-Depends: debhelper (>= 10.3),
+           Timo Jyrinki <timo@debian.org>,
+           Simon Quigley <tsimonq2@ubuntu.com>
+Build-Depends: debhelper (>= 11~),
                dpkg-dev (>= 1.17.14),
                libegl1-mesa-dev,
                libfontconfig1-dev,
@@ -23,16 +23,16 @@
                libxrender-dev,
                pkg-config,
                pkg-kde-tools,
-               qtbase5-dev (>= 5.9.5+dfsg~),
-               qtbase5-private-dev (>= 5.9.5~),
-               qtdeclarative5-private-dev (>= 5.9.5~)
-Build-Depends-Indep: libqt5sql5-sqlite (>= 5.9.5+dfsg~) <!nodoc>,
-                     qtbase5-doc-html (>= 5.9.5+dfsg~) <!nodoc>,
-                     qttools5-dev-tools (>= 5.9.5~) <!nodoc>
-Standards-Version: 4.1.1
+               qtbase5-dev (>= 5.11.1+dfsg~),
+               qtbase5-dev:native (>= 5.11.1+dfsg~),
+               qtbase5-private-dev (>= 5.11.1+dfsg~),
+               qtdeclarative5-private-dev (>= 5.11.1~)
+Build-Depends-Indep: qtbase5-doc-html (>= 5.11.1+dfsg~) <!nodoc>,
+                     qttools5-dev-tools (>= 5.11.1~) <!nodoc>
+Standards-Version: 4.1.4
 Homepage: http://qt-project.org/
-Vcs-Git: https://anonscm.debian.org/git/pkg-kde/qt/qtwayland.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kde/qt/qtwayland.git
+Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtwayland.git
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtwayland
 
 Package: qtwayland5-examples
 Architecture: any
@@ -85,9 +85,6 @@
  .
  This package contains the development files for QtWayland compositor
  library.
- .
- This library is a tech preview and the API will change before the final
- release. Use at your own risk.
 
 Package: libqt5waylandclient5-dev
 Architecture: any
@@ -128,6 +125,7 @@
 Package: qtwayland5-doc
 Build-Profiles: <!nodoc>
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends: ${misc:Depends}
 Description: Qt 5 Wayland Compositor documentation
@@ -140,6 +138,7 @@
 Package: qtwayland5-doc-html
 Build-Profiles: <!nodoc>
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends: ${misc:Depends}
 Description: Qt 5 Wayland Compositor HTML documentation

=== debian/rules ===
--- 
+++ 
@@ -3,18 +3,23 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+include /usr/share/dpkg/architecture.mk
 
-export CFLAGS := $(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
-export CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
-export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed
 export QT_SELECT := qt5
 
 %:
 	dh $@ --with pkgkde_symbolshelper
 
+ifneq ($(DEB_HOST_ARCH),$(DEB_BUILD_ARCH))
 override_dh_auto_configure:
-	qmake CONFIG-=use_gold_linker
+	cd src/qtwaylandscanner && \
+		g++ qtwaylandscanner.cpp -I/usr/include/$(DEB_BUILD_MULTIARCH)/qt5 \
+		-I/usr/include/$(DEB_BUILD_MULTIARCH)/qt5/QtCore \
+		-fPIC -lQt5Core -o $(CURDIR)/qtwaylandscanner_native
+	dh_auto_configure -- QMAKE_QMAKE=/usr/bin/$(DEB_HOST_GNU_TYPE)-qmake \
+		QT_TOOL.qtwaylandscanner.binary=$(CURDIR)/qtwaylandscanner_native \
+		PKG_CONFIG_LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig:/usr/share/pkgconfig
+endif
 
 override_dh_auto_build-indep:
 	dh_auto_build -- docs

## qtwayland-opensource-src 5.11.3

=== debian/changelog ===
qtwayland-opensource-src (5.11.3-2) unstable; urgency=medium

  [ Simon Quigley ]
  * Change my email to tsimonq2@debian.org now that I am a Debian Developer.
  * Bump Standards-version to 4.3.0, no changes needed.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Upload to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 26 Dec 2018 16:59:01 -0300

qtwayland-opensource-src (5.11.3-1) experimental; urgency=medium

  [ Dmitry Shachnev ]
  * Make libqt5waylandclient5-dev and libqt5waylandcompositor5-dev depend
    on qtwayland5. These packages ship CMake files which reference plugin
    files from that package (LP: #1806186).

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * New upstream release.
    - Bump Qt build dependencies.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 22 Dec 2018 15:38:23 -0300

qtwayland-opensource-src (5.11.2-3) unstable; urgency=medium

  * Make tests non-fatal on mips/mipsel, because of failures.
  * Remove dbgsym migration code, it is no longer needed.
  * Minor debian/copyright update.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 17 Oct 2018 20:05:33 +0300

qtwayland-opensource-src (5.11.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 16 Oct 2018 18:58:33 +0300

qtwayland-opensource-src (5.11.2-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.11.2.
  * Run upstream tests during build.
  * Bump Standards-Version to 4.2.1, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 04 Oct 2018 11:58:56 +0300

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
            Sune Vuorela <debian@pusling.com>,
            Pino Toscano <pino@debian.org>,
            Timo Jyrinki <timo@debian.org>,
-           Simon Quigley <tsimonq2@ubuntu.com>
+           Simon Quigley <tsimonq2@debian.org>
 Build-Depends: debhelper (>= 11~),
                dpkg-dev (>= 1.17.14),
                libegl1-mesa-dev,
@@ -23,13 +23,15 @@
                libxrender-dev,
                pkg-config,
                pkg-kde-tools,
-               qtbase5-dev (>= 5.11.1+dfsg~),
-               qtbase5-dev:native (>= 5.11.1+dfsg~),
-               qtbase5-private-dev (>= 5.11.1+dfsg~),
-               qtdeclarative5-private-dev (>= 5.11.1~)
-Build-Depends-Indep: qtbase5-doc-html (>= 5.11.1+dfsg~) <!nodoc>,
-                     qttools5-dev-tools (>= 5.11.1~) <!nodoc>
-Standards-Version: 4.1.4
+               qtbase5-dev (>= 5.11.3+dfsg~),
+               qtbase5-dev:native (>= 5.11.3+dfsg~),
+               qtbase5-private-dev (>= 5.11.3+dfsg~),
+               qtdeclarative5-private-dev (>= 5.11.3~),
+               xauth,
+               xvfb
+Build-Depends-Indep: qtbase5-doc-html (>= 5.11.3+dfsg~) <!nodoc>,
+                     qttools5-dev-tools (>= 5.11.3~) <!nodoc>
+Standards-Version: 4.3.0
 Homepage: http://qt-project.org/
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtwayland.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtwayland
@@ -79,7 +81,9 @@
 Architecture: any
 Section: libdevel
 Multi-Arch: same
-Depends: libqt5waylandcompositor5 (= ${binary:Version}), ${misc:Depends}
+Depends: libqt5waylandcompositor5 (= ${binary:Version}),
+         qtwayland5 (= ${binary:Version}),
+         ${misc:Depends}
 Description: QtWayland compositor development files
  QtWayland is a Qt 5 module that wraps the functionality of Wayland.
  .
@@ -90,7 +94,9 @@
 Architecture: any
 Section: libdevel
 Multi-Arch: same
-Depends: libqt5waylandclient5 (= ${binary:Version}), ${misc:Depends}
+Depends: libqt5waylandclient5 (= ${binary:Version}),
+         qtwayland5 (= ${binary:Version}),
+         ${misc:Depends}
 Recommends: qtwayland5-dev-tools
 Description: QtWayland client development files
  QtWayland is a Qt 5 module that wraps the functionality of Wayland.

=== debian/rules ===
--- 
+++ 
@@ -10,8 +10,8 @@
 %:
 	dh $@ --with pkgkde_symbolshelper
 
+override_dh_auto_configure:
 ifneq ($(DEB_HOST_ARCH),$(DEB_BUILD_ARCH))
-override_dh_auto_configure:
 	cd src/qtwaylandscanner && \
 		g++ qtwaylandscanner.cpp -I/usr/include/$(DEB_BUILD_MULTIARCH)/qt5 \
 		-I/usr/include/$(DEB_BUILD_MULTIARCH)/qt5/QtCore \
@@ -19,6 +19,8 @@
 	dh_auto_configure -- QMAKE_QMAKE=/usr/bin/$(DEB_HOST_GNU_TYPE)-qmake \
 		QT_TOOL.qtwaylandscanner.binary=$(CURDIR)/qtwaylandscanner_native \
 		PKG_CONFIG_LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig:/usr/share/pkgconfig
+else
+	dh_auto_configure -- QT_BUILD_PARTS+=tests
 endif
 
 override_dh_auto_build-indep:
@@ -46,5 +48,12 @@
 	dh_link -pqtwayland5-dev-tools \
 		usr/lib/qt5/bin/qtwaylandscanner usr/lib/$(DEB_HOST_MULTIARCH)/qt5/bin/qtwaylandscanner
 
-override_dh_strip:
-	dh_strip --dbgsym-migration='qtwayland5-dbg (<< 5.7.0-1~)'
+override_dh_auto_test-arch:
+ifneq (,$(filter $(DEB_HOST_ARCH),mips mipsel))
+	# mips/mipsel: double free or corruption, unreproducible on porterboxes
+	-xvfb-run -a dh_auto_test -- -Ctests/auto
+else
+	xvfb-run -a dh_auto_test -- -Ctests/auto
+endif
+
+override_dh_auto_test-indep:

## qtwayland-opensource-src 5.12.2

=== debian/changelog ===
qtwayland-opensource-src (5.12.2-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.12.2.
  * Update list of files in libqt5waylandcompositor5-dev package.
  * Update symbols files from the current build log.
  * Update debian/copyright.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 24 Mar 2019 19:59:03 +0300

=== debian/control ===
--- 
+++ 
@@ -23,14 +23,14 @@
                libxrender-dev,
                pkg-config,
                pkg-kde-tools,
-               qtbase5-dev (>= 5.11.3+dfsg~),
-               qtbase5-dev:native (>= 5.11.3+dfsg~),
-               qtbase5-private-dev (>= 5.11.3+dfsg~),
-               qtdeclarative5-private-dev (>= 5.11.3~),
+               qtbase5-dev (>= 5.12.2+dfsg~),
+               qtbase5-dev:native (>= 5.12.2+dfsg~),
+               qtbase5-private-dev (>= 5.12.2+dfsg~),
+               qtdeclarative5-private-dev (>= 5.12.2~),
                xauth,
                xvfb
-Build-Depends-Indep: qtbase5-doc-html (>= 5.11.3+dfsg~) <!nodoc>,
-                     qttools5-dev-tools (>= 5.11.3~) <!nodoc>
+Build-Depends-Indep: qtbase5-doc-html (>= 5.12.2+dfsg~) <!nodoc>,
+                     qttools5-dev-tools (>= 5.12.2~) <!nodoc>
 Standards-Version: 4.3.0
 Homepage: http://qt-project.org/
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtwayland.git

## qtwayland-opensource-src 5.12.4

=== debian/changelog ===
qtwayland-opensource-src (5.12.4-1) experimental; urgency=medium

  [ Scarlett Moore ]
  * Update packaging to use doc-base as per policy 9.10.

  [ Dmitry Shachnev ]
  * New upstream release.
  * Bump Qt build-dependencies to 5.12.4.
  * Simplify debian/rules by using a debian/not-installed file.
  * Update symbols files from buildds’ and the current build logs.
  * Make the debian/*.install files a bit more verbose.
  * Add support for nocheck build profile.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 28 Jun 2019 16:05:03 +0300

=== debian/control ===
--- 
+++ 
@@ -23,14 +23,14 @@
                libxrender-dev,
                pkg-config,
                pkg-kde-tools,
-               qtbase5-dev (>= 5.12.2+dfsg~),
-               qtbase5-dev:native (>= 5.12.2+dfsg~),
-               qtbase5-private-dev (>= 5.12.2+dfsg~),
-               qtdeclarative5-private-dev (>= 5.12.2~),
-               xauth,
-               xvfb
-Build-Depends-Indep: qtbase5-doc-html (>= 5.12.2+dfsg~) <!nodoc>,
-                     qttools5-dev-tools (>= 5.12.2~) <!nodoc>
+               qtbase5-dev (>= 5.12.4+dfsg~),
+               qtbase5-dev:native (>= 5.12.4+dfsg~),
+               qtbase5-private-dev (>= 5.12.4+dfsg~),
+               qtdeclarative5-private-dev (>= 5.12.4~),
+               xauth <!nocheck>,
+               xvfb <!nocheck>
+Build-Depends-Indep: qtbase5-doc-html (>= 5.12.4+dfsg~) <!nodoc>,
+                     qttools5-dev-tools (>= 5.12.4~) <!nodoc>
 Standards-Version: 4.3.0
 Homepage: http://qt-project.org/
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtwayland.git

## qtwayland-opensource-src 5.12.5

=== debian/changelog ===
qtwayland-opensource-src (5.12.5-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 20 Oct 2019 23:53:10 +0300

qtwayland-opensource-src (5.12.5-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.12.5.
  * Add Build-Depends-Package field to the symbols files.
  * Update symbols files from the current build log.
  * Bump Standards-Version to 4.4.1, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 17 Oct 2019 23:57:47 +0300

=== debian/control ===
--- 
+++ 
@@ -23,15 +23,15 @@
                libxrender-dev,
                pkg-config,
                pkg-kde-tools,
-               qtbase5-dev (>= 5.12.4+dfsg~),
-               qtbase5-dev:native (>= 5.12.4+dfsg~),
-               qtbase5-private-dev (>= 5.12.4+dfsg~),
-               qtdeclarative5-private-dev (>= 5.12.4~),
+               qtbase5-dev (>= 5.12.5+dfsg~),
+               qtbase5-dev:native (>= 5.12.5+dfsg~),
+               qtbase5-private-dev (>= 5.12.5+dfsg~),
+               qtdeclarative5-private-dev (>= 5.12.5~),
                xauth <!nocheck>,
                xvfb <!nocheck>
-Build-Depends-Indep: qtbase5-doc-html (>= 5.12.4+dfsg~) <!nodoc>,
-                     qttools5-dev-tools (>= 5.12.4~) <!nodoc>
-Standards-Version: 4.3.0
+Build-Depends-Indep: qtbase5-doc-html (>= 5.12.5+dfsg~) <!nodoc>,
+                     qttools5-dev-tools (>= 5.12.5~) <!nodoc>
+Standards-Version: 4.4.1
 Homepage: http://qt-project.org/
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtwayland.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtwayland
